Subject: Re: bug#23069: 25.1.50; in Gnus temporary browse files are always deleted

From: Ivan Kanis <[email-masked]>
Date: Mon, 11 Jul 2016 20:58:11 +0200

３月２２日１１時４２分にKatsumi Yamaokaが書ました：

> On Sun, 20 Mar 2016 17:03:05 +0100, Ivan Kanis wrote:
>> Sorry no emacs -Q. I assume Gnus is set up with a HTML mail
>> available.
>
>> 1) (setq gnus-article-browse-delete-temp nil)
>> 2) go to a mail article
>> 3) M-x gnus-article-browse-html-article
>
>> You should see Firefox displaying the article.
>
>> 4) q q q (quit gnus)
>> 5) refresh the page in Firefox
>
>> Firefox will issue an error as files have been erased. I expect the
>> files to not be deleted as is documented when setting the variable
>> gnus-article-browse-delete-temp to nil.
>
> As documented, `gnus-article-browse-delete-temp' controls how
> deleting temp files is done when exiting the summary buffer.  So,
> I don't think it's a bug.  Deleting files regardless of the value
> of `gnus-article-browse-delete-temp' when exiting the group buffer
> was gotten to do ten years ago:
>
> 2006-03-02  Reiner Steib  <Reiner.Steib <at> gmx.de>
> [...]
> 	(gnus-article-browse-html-parts): Add
> 	`gnus-article-browse-delete-temp-files' to
> 	`gnus-summary-prepare-exit-hook' and `gnus-exit-gnus-hook'.

Hello Katsumiさん

I have read again the documentation of gnus-article-browse-delete-temp.
Here is the bit that interests me:

"If nil, don't delete temporary files"

I understand that if the variable is set to nil the temporary files
should not be deleted.

I am trying to keep those files so I am guessing the bit you quoted
Reiner Steib will not help me.

Ivan

-- 
七転び八起き